Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608561 - [abrt] crash in thunderbird-3.0.5-1.fc13: Process /usr/lib64/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
[abrt] crash in thunderbird-3.0.5-1.fc13: Process /usr/lib64/thunderbird-3.0/...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: thunderbird (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Gecko Maintainer
Fedora Extras Quality Assurance
abrt_hash:faf2b33fbf937a9dd839d824cc1...
:
: 642964 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 02:27 EDT by Harish Pillay
Modified: 2011-06-27 15:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 15:03:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (79.12 KB, text/plain)
2010-06-28 02:27 EDT, Harish Pillay
no flags Details

  None (edit)
Description Harish Pillay 2010-06-28 02:27:49 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: /usr/lib64/thunderbird-3.0/thunderbird-bin
component: thunderbird
crash_function: nsProfileLock::FatalSignalHandler
executable: /usr/lib64/thunderbird-3.0/thunderbird-bin
global_uuid: faf2b33fbf937a9dd839d824cc166f88bb346d5a
kernel: 2.6.33.5-124.fc13.x86_64
package: thunderbird-3.0.5-1.fc13
rating: 4
reason: Process /usr/lib64/thunderbird-3.0/thunderbird-bin was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 Harish Pillay 2010-06-28 02:27:53 EDT
Created attachment 427313 [details]
File: backtrace
Comment 2 d. johnson 2010-09-17 14:53:14 EDT
Thank you for taking the time to report this bug. Updates to this package have been released since it was first reported. If you have time to update the package and re-test, please do so and report the results here. You can obtain the updated package by typing 'yum update' or using the graphical updater, Software Update.


Disable any extensions, plugins and non-default themes.  Exit cleanly and restart thunderbird.  Are you able to replicate the crash?


Additionally, you appear to have permission related problems:
Error while mapping shared library sections:
/home/harish/.thunderbird/cp0ryjjy.default/extensions/{847b3a00-7ab1-11d4-8f02-006008948af5}/platform/Linux_x86_64-gcc3/components/libenigmime-x86_64-gcc3.so: Permission denied.


#2  <signal handler called>
No symbol table info available.
#3  _wordcopy_fwd_aligned (dstp=<value optimized out>, 
    srcp=<value optimized out>, len=536821096) at wordcopy.c:115
        a0 = <value optimized out>
        a1 = 0
#4  0x0000003c86c828d2 in memmove (dest=0x7f990109eb08, 
    src=<value optimized out>, len=4294967292) at memmove.c:73
        dstp = <value optimized out>
        srcp = <value optimized out>
#5  0x00007f991d43fb20 in nsMsgDBView::RemoveRows (this=0x7f990afe0400, 
    viewIndex=704, numRows=4)
    at /usr/src/debug/thunderbird-3.0.5/comm-1.9.1/mailnews/base/src/nsMsgDBView.cpp:5209
No locals.
#6  0x00007f991d43e901 in nsMsgDBView::CollapseByIndex (
    this=<value optimized out>, index=<value optimized out>, 
    pNumCollapsed=0x7fff078b0b1c)
    at /usr/src/debug/thunderbird-3.0.5/comm-1.9.1/mailnews/base/src/nsMsgDBView.cpp:4784
        rv = 0
        flags = <value optimized out>
        rowDelta = -4
        numRemoved = 4
#7  0x00007f991d44cb0d in nsMsgThreadedDBView::MoveThreadAt (
    this=0x7f990afe0400, threadIndex=703)
    at /usr/src/debug/thunderbird-3.0.5/comm-1.9.1/mailnews/base/src/nsMsgThreadedDBView.cpp:810
        collapseCount = 32665
        preservedSelection = {<nsTArray<unsigned int>> = {<nsTArray_base> = {
              static sEmptyHdr = {mLength = 0, mCapacity = 0, 
                mIsAutoArray = 0}, mHdr = 0x7fff078b0b38}, <No data fields>}, 
          mAutoBuf = "\000\000\000\000\001\000\000\200@4\\\005"}
        threadFlags = {<nsTArray_base> = {static sEmptyHdr = {mLength = 0, 
              mCapacity = 0, mIsAutoArray = 0}, 
            mHdr = 0x7f990089cd80}, <No data fields>}
        currentIndex = -1
        saveFlags = 1476395152
        threadIsExpanded = 1
        threadLevels = {<nsTArray_base> = {static sEmptyHdr = {mLength = 0, 
              mCapacity = 0, mIsAutoArray = 0}, 
            mHdr = 0x7f99008c8ca0}, <No data fields>}
        changesDisabled = 0
        hasSelection = 0
        threadKeys = {<nsTArray_base> = {static sEmptyHdr = {mLength = 0, 
              mCapacity = 0, mIsAutoArray = 0}, 
            mHdr = 0x7f990089ccc0}, <No data fields>}
        newIndex = <value optimized out>
        lowIndex = 17825744
        threadHdr = {<nsCOMPtr_base> = {
            mRawPtr = 0x7f990adcba60}, <No data fields>}
        childCount = 4
        preservedKey = <value optimized out>
        selectionCount = 0
        highIndex = <value optimized out>
#8  0x00007f991d44cda4 in nsMsgThreadedDBView::OnNewHeader (
    this=0x7f990afe0400, newHdr=0x7f99008933a0, 
    aParentKey=<value optimized out>, ensureListed=<value optimized out>)
    at /usr/src/debug/thunderbird-3.0.5/comm-1.9.1/mailnews/base/src/nsMsgThreadedDBView.cpp:690
        flags = <value optimized out>
        threadCount = 3
        threadFlags = 0
        threadRootIsDisplayed = 0
        moveThread = 1
        threadIndex = 703
        threadHdr = {<nsCOMPtr_base> = {
            mRawPtr = 0x7f99008c7d30}, <No data fields>}
        rv = 0
        newKey = 401117
#9  0x00007f991d450258 in nsMsgQuickSearchDBView::OnNewHeader (




-- 
Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 3 Karel Klíč 2010-11-09 09:37:25 EST
*** Bug 642964 has been marked as a duplicate of this bug. ***
Comment 4 Bug Zapper 2011-06-01 11:23:48 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2011-06-27 15:03:28 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.